%define upstream_name    ORLite
%define upstream_version 1.98

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Extremely light weight SQLite-specific ORM  
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/A/AD/ADAMK/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBD::SQLite) >= 1.270.0
BuildRequires: perl(DBI) >= 1.607.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(File::Path) >= 2.80.0
BuildRequires: perl(File::Remove) >= 1.400.0
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(File::Temp) >= 0.200.0
BuildRequires: perl(Params::Util) >= 1.0.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(Test::Script) >= 1.60.0
BuildArch:  noarch

%{?perl_default_filter}

%description
Extremely light weight SQLite-specific ORM  

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.980.0-8.mga6
+ Revision: 1031578
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.980.0-7.mga6
+ Revision: 942740
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.980.0-6.mga5
+ Revision: 741891
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.980.0-5.mga5
+ Revision: 732438
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.980.0-4.mga5
+ Revision: 685769
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.980.0-3.mga4
+ Revision: 513631
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.980.0-2.mga3
+ Revision: 371056
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 jquelin <jquelin> 1.980.0-1.mga3
+ Revision: 301309
- update to 1.98

* Tue Jun 05 2012 jquelin <jquelin> 1.970.0-1.mga3
+ Revision: 255262
- update to 1.97

* Mon Mar 05 2012 jquelin <jquelin> 1.960.0-1.mga2
+ Revision: 218783
- update to 1.96

* Thu Feb 23 2012 jquelin <jquelin> 1.910.0-1.mga2
+ Revision: 213128
- update to 1.91

* Mon Dec 12 2011 jquelin <jquelin> 1.510.0-1.mga2
+ Revision: 180955
- update to 1.51

* Wed Jun 15 2011 jquelin <jquelin> 1.500.0-1.mga2
+ Revision: 107221
- update to 1.50

* Tue Jan 25 2011 jquelin <jquelin> 1.480.0-1.mga1
+ Revision: 38778
- update to 1.48

* Fri Jan 21 2011 jquelin <jquelin> 1.450.0-1.mga1
+ Revision: 28703
- mageia rebuild
- imported package perl-ORLite

